> For the complete documentation index, see [llms.txt](https://docs-business.mio.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-business.mio.id/api-reference/data-dictionary/objects/activity.md).

# Activity

The **Activity** object represents the various types of actions and events within the mio.ID platform, initiated by or involving both individual and business entities. It is a key component for tracking, analyzing, and reporting interactions, providing detailed metadata about each activity's lifecycle and status.

### Fields

<table data-full-width="true"><thead><tr><th width="269">Field</th><th width="165">Type</th><th width="527">Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>Unique identifier for this activity</td></tr><tr><td><code>entity</code></td><td><code>object</code></td><td>The participant involved in the activity, either sending or receiving it.<br>Refer to <a href="/pages/4Fd0khax4UZ4SgH4RchJ">Member </a>for more information.</td></tr><tr><td><code>type</code></td><td><code>string</code></td><td><p>Specifies the type of activity.<br>Its values can be: </p><ul><li><code>AT_001</code></li><li><code>AT_002</code></li><li><code>AT_003</code></li><li><code>AT_004</code></li></ul><p>Refer to <a href="/pages/8at4EgTvdQExd9eizBHH#activity-type">Activity Type</a> for more information.</p></td></tr><tr><td><code>type_name</code></td><td><code>string</code></td><td>Human-readable description of the activity type.</td></tr><tr><td><code>in_out_bound</code></td><td><code>string</code></td><td><p>Indicates the direction of the activity.<br>Its value can be:</p><ul><li><code>IN</code> (Inbound)</li><li><code>OUT</code> (Outbound)</li></ul></td></tr><tr><td><code>requirements</code></td><td><code>array</code></td><td>List of  <a href="/pages/jmvBV3XWW6fZlVxAot6k">Requirements</a> requested or shared during the activity.</td></tr><tr><td><code>accepted_requirements</code></td><td><code>array</code></td><td>List of <a href="/pages/jmvBV3XWW6fZlVxAot6k">Requirements</a> that the recipient accepted to share with the initiator.</td></tr><tr><td><code>declined_requirements</code></td><td><code>array</code></td><td>List of <a href="/pages/jmvBV3XWW6fZlVxAot6k">Requirements</a> that the recipient declined to share.</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>A message from the initiator sent as part of the activity.</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>Current status of the activity.<br>Refer to <a href="/pages/8at4EgTvdQExd9eizBHH#activity-status">Activity Status</a> for more information.</td></tr><tr><td><code>notification_message</code></td><td><code>string</code></td><td>A completion message sent by the recipient to the initiator when the activity is completed.</td></tr><tr><td><code>timeline</code></td><td><code>array</code></td><td>A log of activity statuses and their timestamps.</td></tr><tr><td><code>time_zone</code></td><td><code>string</code></td><td>The timezone in which the activity occurred.</td></tr><tr><td><code>expires_in</code></td><td><code>object</code></td><td>Period for which the activity is valid, set by the recipient. Once expired, the initiator loses access to the recipient's shared details.</td></tr><tr><td><code>expires_at</code></td><td><code>number</code></td><td>Timestamp indicating when the personal details are no longer available to the initiator due to expiration.</td></tr><tr><td><code>attended_at</code></td><td><code>number</code></td><td>Timestamp when the recipient made a decision (accepted or declined).</td></tr><tr><td><code>completed_at</code></td><td><code>number</code></td><td>Timestamp when the activity was marked as <strong>COMPLETED</strong>.</td></tr><tr><td><code>valid_until</code></td><td><code>number</code></td><td>Time limit for the recipient to decide on the activity. Once expired, the activity becomes inactive.</td></tr><tr><td><code>created_at</code></td><td><code>object</code></td><td>Datetime when Activity has been created.</td></tr><tr><td><code>updated_at</code></td><td><code>object</code></td><td>Datetime when Activity has been updated.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-business.mio.id/api-reference/data-dictionary/objects/activity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
